local Rx = require 'Rx'
local ObservableBase = Rx.ObservableBase
local disposableEmpty = Rx.Disposable.empty

--------------------------------------------------------------------------------

local NeverObservable = Rx.Class "Rx.internals.NeverObservable" {

    ObservableBase,
        -- superclass

    subscribeCore = function(self, observer)
        return disposableEmpty
    end

}

--------------------------------------------------------------------------------

return function()
    return NeverObservable()
end
